## kactivities 4.13.3

=== CMakeLists.txt ===
project (KACTIVITIES)

find_package (KDE4 REQUIRED)

include (GenerateExportHeader)
include (KDE4Defaults)
include (MacroLibrary)
include (MacroOptionalAddSubdirectory)
include (FindPackageHandleStandardArgs)

# Until this is set by FindQt, we are defining the
# QT_NO_DEBUG_OUTPUT if this is not a debug build

string (TOLOWER ${CMAKE_BUILD_TYPE} CMAKE_BUILD_TYPE_TOLOWER)
if (NOT CMAKE_BUILD_TYPE_TOLOWER MATCHES "debug")
    add_definitions(-DQT_NO_DEBUG_OUTPUT)
endif()


set (
    CMAKE_MODULE_PATH
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
    ${CMAKE_MODULE_PATH}
    )

if (KAMD_PEDANTIC_COMPILATION)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wno-long-long -pedantic")
endif ()

add_subdirectory (src)

macro_display_feature_log ()

=== src/CMakeLists.txt ===

set (CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

# Installation directory for ontologies.  Needed here because used in both ontology/ and lib/ sub
# directories.

set (KACTIVITIES_ONTOLOGIES_DIR ${CMAKE_INSTALL_PREFIX}/share/ontology/kde)

add_definitions (-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

# Checking for Nepomuk
macro_optional_find_package (NepomukCore)
macro_log_feature (
    NepomukCore_FOUND
    "Nepomuk Core" "Nepomuk Core" "https://projects.kde.org/nepomuk-core" FALSE ""
    "STRONGLY_RECOMMENDED: Nepomuk is needed for some activity-related info"
    )

if (NepomukCore_FOUND)
    find_package (Soprano)
    macro_log_feature (
        Soprano_FOUND
        "Soprano" "Semantic Desktop Storing" "http://soprano.sourceforge.net" TRUE ""
        "Soprano is needed to build and use the Nepomuk related functionalities"
        )

    include (SopranoAddOntology)
endif ()

if (NepomukCore_FOUND AND Soprano_FOUND)
    set (HAVE_NEPOMUK 1)
endif ()

# Testing for C++0x/C++11 features

include (CheckCxxFeatures)

cxx_check_feature ("c++11" "auto"               "N2546" HAVE_CXX11_AUTO               "${ADDITIONAL_DEFINITIONS}")
cxx_check_feature ("c++11" "nullptr"            "N2431" HAVE_CXX11_NULLPTR            "${ADDITIONAL_DEFINITIONS}")
cxx_check_feature ("c++11" "lambda"             "N2927" HAVE_CXX11_LAMBDA             "${ADDITIONAL_DEFINITIONS}")
cxx_check_feature ("c++11" "override"           "N3206" HAVE_CXX11_OVERRIDE           "${ADDITIONAL_DEFINITIONS}")
cxx_check_feature ("c++11" "unique_ptr"         "none"  HAVE_CXX11_UNIQUE_PTR         "${ADDITIONAL_DEFINITIONS}")
cxx_check_feature ("c++11" "variadic-templates" "N2242" HAVE_CXX11_VARIADIC_TEMPLATES "${ADDITIONAL_DEFINITIONS}")
cxx_check_feature ("c++11" "initializer-lists"  "N2672" HAVE_CXX11_INITIALIZER_LISTS  "${ADDITIONAL_DEFINITIONS}")

add_subdirectory (lib)

# config file

set (KAMD_DATA_DIR "${DATA_INSTALL_DIR}/activitymanager/")

configure_file (config-features.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-features.h)

# main part

option (KACTIVITIES_LIBRARY_ONLY "If true, compiles only the KActivities library, without the service and other modules." OFF)

if (NOT KACTIVITIES_LIBRARY_ONLY)
	string (COMPARE EQUAL "${CXX_FEATURES_UNSUPPORTED}" "" CXX_COMPILER_IS_MODERN)

	if (NOT HAVE_CXX11_AUTO OR NOT HAVE_CXX11_LAMBDA OR NOT HAVE_CXX11_UNIQUE_PTR OR NOT HAVE_CXX11_VARIADIC_TEMPLATES OR NOT HAVE_CXX11_INITIALIZER_LISTS)

			macro_log_feature (FALSE
					"C++11 enabled compiler"
					"GCC >=4.5 or Clang 3.1"
					"http://www.open-std.org/jtc1/sc22/wg21/" FALSE ""
					"REQUIRED: You need a more modern compiler in order to build the Activity Manager daemon"
					)

	else ()

			if (CXX_COMPILER_IS_MODERN)
					macro_log_feature (
							CXX_COMPILER_IS_MODERN
							"C++11 enabled compiler"
							"Your compiler is state-of-the-art"
							"http://www.open-std.org/jtc1/sc22/wg21/" FALSE ""
							"Your compiler doesn't support the following features: ${CXX_FEATURES_UNSUPPORTED} but
							the list of the supported ones is sufficient for the build: ${CXX_FEATURES_SUPPORTED}"
							)
			else ()
					macro_log_feature (
							CXX_COMPILER_IS_MODERN
							"C++11 enabled compiler"
							"Having to use the latest versions of GCC and Clang would be awesome"
							"http://www.open-std.org/jtc1/sc22/wg21/" FALSE ""
							"Your compiler doesn't support the following features: ${CXX_FEATURES_UNSUPPORTED} but
							the list of the supported ones is sufficient for the build: ${CXX_FEATURES_SUPPORTED}"
							)
			endif ()

			add_subdirectory (service)

			# No point in having workspace addons without the service
			add_subdirectory (workspace)

	endif ()
endif()

add_subdirectory (ontologies)

=== src/lib/core/CMakeLists.txt ===
project (kactivities)

find_package (Qt4 REQUIRED)
find_package (KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)
include (MacroOptionalAddSubdirectory)
include (FindPackageHandleStandardArgs)

# =======================================================
# Information to update before to release this library.

# Library version history:
# API      ABI
# 0.1.0 => 0.1.0
# 0.1.1 => 0.1.1
# 0.2.0 => 0.2.0
# 6.1.0 => 6.1.0
# 6.2.0 => 6.2.0

# Library API version
set (KACTIVITIES_LIB_MAJOR_VERSION "6")
set (KACTIVITIES_LIB_MINOR_VERSION "2")
set (KACTIVITIES_LIB_PATCH_VERSION "0")

# Suffix to add at end of version string. Usual values are:
# "-git"   : alpha code unstable from git. Do not use in production
# "-beta1" : beta1 release.
# "-beta2" : beta2 release.
# "-beta3" : beta3 release.
# "-rc"    : release candidate.
# ""       : final relase. Can be used in production.
set (KACTIVITIES_LIB_SUFFIX_VERSION "")

# Library ABI version used by linker.
# For details : http://www.gnu.org/software/libtool/manual/libtool.html#Updating-version-info
set (KACTIVITIES_LIB_SO_CUR_VERSION "6")
set (KACTIVITIES_LIB_SO_REV_VERSION "2")
set (KACTIVITIES_LIB_SO_AGE_VERSION "0")

# =======================================================
# Set env. variables accordinly.

set (KACTIVITIES_INCLUDE_DIR
    "${CMAKE_CURRENT_SOURCE_DIR}/.."
    "${CMAKE_CURRENT_SOURCE_DIR}/"
    CACHE STRING
    "Location of libkactivities headers" FORCE)
set (KACTIVITIES_LIBS
    "kactivities"
    CACHE STRING
    "Location of libkactivities binary" FORCE)

set (KACTIVITIES_LIB_VERSION_STRING "${KACTIVITIES_LIB_MAJOR_VERSION}.${KACTIVITIES_LIB_MINOR_VERSION}.${KACTIVITIES_LIB_PATCH_VERSION}${KACTIVITIES_LIB_SUFFIX_VERSION}")
set (KACTIVITIES_LIB_VERSION_ID "0x0${KACTIVITIES_LIB_MAJOR_VERSION}0${KACTIVITIES_LIB_MINOR_VERSION}0${KACTIVITIES_LIB_PATCH_VERSION}")
set (KACTIVITIES_LIB_SO_VERSION_STRING "${KACTIVITIES_LIB_SO_CUR_VERSION}.${KACTIVITIES_LIB_SO_REV_VERSION}.${KACTIVITIES_LIB_SO_AGE_VERSION}")

add_definitions (${QT_DEFINITIONS} ${QT_QTDBUS_DEFINITIONS} ${KDE4_DEFINITIONS})

include_directories (
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_BINARY_DIR}/src
    ${QDBUS_INCLUDE_DIRS}
    ${KDE4_INCLUDES}
    ${KDE4_KIO_INCLUDES}
    )

set (
    kactivities_LIB_SRCS

    ${CMAKE_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.Activities.cpp
    consumer.cpp
    controller.cpp
    info.cpp
    manager_p.cpp
    resourceinstance.cpp
    version.cpp
    )

set_source_files_properties (
    ${CMAKE_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.Activities.xml
    PROPERTIES
    INCLUDE ${CMAKE_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.Activities.h
    )

qt4_add_dbus_interface (
    kactivities_LIB_SRCS

    ${CMAKE_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.Activities.xml
    activities_interface
    )

qt4_add_dbus_interface (
    kactivities_LIB_SRCS

    ${CMAKE_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.Resources.xml
    resources_interface
    )

qt4_add_dbus_interface (
    kactivities_LIB_SRCS

    ${CMAKE_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.Features.xml
    features_interface
    )

qt4_add_dbus_interface (
    kactivities_LIB_SRCS

    ${CMAKE_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.ResourcesLinking.xml
    resources_linking_interface
    )

kde4_add_library (
    kactivities SHARED
    ${kactivities_LIB_SRCS}
    )

set_target_properties (
    kactivities
    PROPERTIES
    VERSION ${KACTIVITIES_LIB_SO_VERSION_STRING}
    SOVERSION ${KACTIVITIES_LIB_SO_CUR_VERSION}
    )

target_link_libraries (
    kactivities
    ${KDE4_KDECORE_LIBS}
    )

## install

set (
    kactivities_LIB_HEADERS
    consumer.h
    controller.h
    info.h
    resourceinstance.h
    version.h
    kactivities_export.h
    )

set (
    kactivities_LIB_PRETTY_HEADERS
    includes/KActivities/Consumer
    includes/KActivities/Controller
    includes/KActivities/Info
    includes/KActivities/ResourceInstance
    includes/KActivities/Version
    )

install (
    FILES ${kactivities_LIB_HEADERS}
    DESTINATION ${INCLUDE_INSTALL_DIR}/kactivities
    COMPONENT Devel
    )

install (
    FILES ${kactivities_LIB_PRETTY_HEADERS}
    DESTINATION ${INCLUDE_INSTALL_DIR}/KDE/KActivities
    COMPONENT Devel
    )

install (
    TARGETS kactivities
    EXPORT kactivitiesLibraryTargets
    ${INSTALL_TARGETS_DEFAULT_ARGS}
    )

install (
    EXPORT kactivitiesLibraryTargets
    DESTINATION ${LIB_INSTALL_DIR}/cmake/KActivities
    FILE KActivitiesLibraryTargets.cmake
    )

if (NOT WIN32)
    configure_file (${CMAKE_CURRENT_SOURCE_DIR}/libkactivities.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/libkactivities.pc)
    install (FILES ${CMAKE_CURRENT_BINARY_DIR}/libkactivities.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig )
endif ()

configure_file (KActivitiesConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/KActivitiesConfig.cmake @ONLY)
macro_write_basic_cmake_version_file (
    ${CMAKE_CURRENT_BINARY_DIR}/KActivitiesConfigVersion.cmake
    ${KACTIVITIES_LIB_MAJOR_VERSION}
    ${KACTIVITIES_LIB_MINOR_VERSION}
    ${KACTIVITIES_LIB_PATCH_VERSION}
    )

install (
    FILES
    ${CMAKE_CURRENT_BINARY_DIR}/KActivitiesConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/KActivitiesConfigVersion.cmake
    DESTINATION
    ${LIB_INSTALL_DIR}/cmake/KActivities
)

=== src/service/plugins/CMakeLists.txt ===
macro_optional_add_subdirectory (slc)
macro_optional_add_subdirectory (activityranking)
macro_optional_add_subdirectory (sqlite)
macro_optional_add_subdirectory (globalshortcuts)
macro_optional_add_subdirectory (virtualdesktopswitch)

if (NepomukCore_FOUND AND Soprano_FOUND)
    macro_optional_add_subdirectory (nepomuk)
endif ()

=== src/workspace/fileitemplugin/CMakeLists.txt ===
include_directories (
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_BINARY_DIR}/src
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${KDE4_INCLUDES}
    )


set (kactivitymanagerd_fileitem_linking_plugin_SRCS
    FileItemLinkingPlugin.cpp
    )

kde4_add_plugin (kactivitymanagerd_fileitem_linking_plugin ${kactivitymanagerd_fileitem_linking_plugin_SRCS})

target_link_libraries (
    kactivitymanagerd_fileitem_linking_plugin
    ${KDE4_KIO_LIBS}
    kactivities
    )

install (TARGETS kactivitymanagerd_fileitem_linking_plugin DESTINATION ${PLUGIN_INSTALL_DIR})
install (FILES kactivitymanagerd_fileitem_linking_plugin.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src/workspace/kio/CMakeLists.txt ===
project (kioslave-activities)

include_directories (
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_BINARY_DIR}/src
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${KDE4_INCLUDES}
    ${KDE4_KIO_INCLUDES}
    ${SOPRANO_INCLUDE_DIR}
    )

########### next target ###############

set (kio_activities_PART_SRCS
    KioActivities.cpp
    )

soprano_add_ontology (
    kio_activities_PART_SRCS
    ${CMAKE_SOURCE_DIR}/src/ontologies/kao.trig
    "KAO" "KDE::Vocabulary" "trig"
    )


kde4_add_plugin (
    kio_activities
    ${kio_activities_PART_SRCS}
    )

target_link_libraries (
    kio_activities
    ${KDE4_KIO_LIBS}
    ${NEPOMUK_CORE_LIBRARY}
    ${SOPRANO_LIBRARIES}
    kactivities
    )

install (
    TARGETS
    kio_activities
    DESTINATION
    ${PLUGIN_INSTALL_DIR}
    )

########### install files ###############

install (
    FILES
    activities.protocol
    DESTINATION
    ${SERVICES_INSTALL_DIR}
    )

=== src/service/plugins/globalshortcuts/CMakeLists.txt ===
project (activitymanager-globalshortcuts)

include_directories (
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_BINARY_DIR}/src
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/../..
    ${CMAKE_CURRENT_BINARY_DIR}
    ${KDE4_INCLUDES}
    )

set (
    globalshortcuts_SRCS
    GlobalShortcutsPlugin.cpp
    ${plugin_implementation_SRCS}
    )

kde4_add_plugin (
    activitymanager_plugin_globalshortcuts
    ${globalshortcuts_SRCS}
    )

target_link_libraries (
    activitymanager_plugin_globalshortcuts
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KACTIVITIES_LIBS}
    )

install (TARGETS activitymanager_plugin_globalshortcuts DESTINATION ${PLUGIN_INSTALL_DIR})
install (FILES activitymanager-plugin-globalshortcuts.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src/service/plugins/virtualdesktopswitch/CMakeLists.txt ===
project (activitymanager-virtualdesktopswitch)

include_directories (
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_BINARY_DIR}/src
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/../..
    ${CMAKE_CURRENT_BINARY_DIR}
    ${KDE4_INCLUDES}
    )

set (
    virtualdesktopswitch_SRCS
    VirtualDesktopSwitchPlugin.cpp
    ${plugin_implementation_SRCS}
    )

kde4_add_plugin (
    activitymanager_plugin_virtualdesktopswitch
    ${virtualdesktopswitch_SRCS}
    )

target_link_libraries (
    activitymanager_plugin_virtualdesktopswitch
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KACTIVITIES_LIBS}
    )

install (TARGETS activitymanager_plugin_virtualdesktopswitch DESTINATION ${PLUGIN_INSTALL_DIR})
install (FILES activitymanager-plugin-virtualdesktopswitch.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
kactivities (4:4.13.3-2) unstable; urgency=medium

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove myself from Uploaders.

  [ Pino Toscano ]
  * Remove Ubuntu cruft from control.
  * Update Vcs-* fields.
  * Rename the XS-Testsuite field to Testsuite, the official name.
  * Remove libkactivities-dbg in favour of the -dbgsym packages.
  * Update lintian overrides.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Point watch file to the Attic, since that's where it is the last version
    for kdelibs4 (tracked by this source).
  * Disable the runtime components, since they are not coinstallable with the
    Frameworks version of kactivitymanagerd:
    - pass -DKACTIVITIES_LIBRARY_ONLY=ON to cmake
    - update install files
  * Nepomuk is being phased out, so drop the support for Nepomuk models:
    - remove the libsoprano-dev, nepomuk-core-dev, and
      shared-desktop-ontologies build dependencies
    - drop the libkactivities-models1 binary, no more built
    - update install files
  * Entirely drop libkactivities-bin, since all it now left are the
    Nepomuk-related kao.ontology and kao.trig files.

 -- Pino Toscano <pino@debian.org>  Sat, 02 Jul 2016 12:29:23 +0200

kactivities (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 31 Jul 2014 15:42:46 +0200

kactivities (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Merge with debian, no remaining changes

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:42:14 +0100

kactivities (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 May 2014 11:15:58 +0200

kactivities (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:40 +0200

kactivities (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:06:48 +0100

kactivities (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Update acc files.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:38 +0100

kactivities (4:4.11.5-1) unstable; urgency=low

  * New upstream release.
  * Add autopkgtest.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add abi-compliance-checker info.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 15 Jan 2014 21:30:13 -0300

kactivities (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 06 Nov 2013 16:33:55 +0100

kactivities (4:4.11.2-2) experimental; urgency=low

  * Bump kdelibs5-dev build-dependency version.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Oct 2013 17:11:50 +0200

kactivities (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Update install files.
  * Update symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Oct 2013 20:32:23 +0200

kactivities (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 11 Jul 2013 17:17:42 +0200

kactivities (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update Uploaders list.
  * Update vcs fields.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 13 Jun 2013 23:00:03 +0200

=== debian/control ===
Source: kactivities
Section: kde
Priority: optional
Maintainer: Debian/Ubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               libqt4-opengl-dev,
               libx11-dev,
               pkg-kde-tools (>= 0.15.4~),
Standards-Version: 3.9.8
Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-sc/kactivities.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-sc/kactivities.git

Package: libkactivities6
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Activities library
 This library provides functionality for managing activities.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkactivities-dev
Section: libdevel
Architecture: any
Depends: ${allLibraries},
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libkactivities6}
Description: development files for the KDE Activities libraries
 This package contains the development files for developing with the
 kactivities library.
 .
 This package is part of the KDE Development Platform libraries module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_addsubst_allLibraries = libkactivities-dev
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKACTIVITIES_LIBRARY_ONLY=ON

override_dh_shlibdeps:
	$(overridden_command) $(foreach p,$(shell dh_listpackages | grep ^lib),-p$p) -- -xkde-runtime
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkactivities-dbg (<< 4:4.13.3-2~)'

=== debian/watch ===
version=3
http://download.kde.org/Attic/([\d.]+)/src/kactivities-([\d.]+).tar.xz
